cURL
curl --request GET \ --url https://api.runflow.io/v1/comfyui-workflows/{owner}/{id} \ --header 'Authorization: Bearer <token>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "slug": "<string>", "name": "<string>", "description": "<string>", "workflow_json": {}, "version": "<string>", "is_public": true, "status_code": "<string>", "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "environment": {}, "models": {}, "custom_nodes": {}, "graph": {}, "resources": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z", "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "category_code": "<string>", "inputs": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "display_name": "<string>", "description": "<string>", "variable_type_code": "<string>", "default_behavior_code": "<string>", "validator_code": "<string>", "validator_attrs": {}, "is_required": true, "default_value": {}, "sort_order": 123, "comfyui_node_id": "<string>", "comfyui_field_name": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "outputs": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "display_name": "<string>", "description": "<string>", "variable_type_code": "<string>", "validator_code": "<string>", "validator_attrs": {}, "sort_order": 123, "comfyui_node_id": "<string>", "comfyui_field_name": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] }
Retrieve a ComfyUI workflow by its owner organization slug and workflow slug.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response
Response shape.
Show child attributes